| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
BuiltinTransportsOptions Struct Reference

Options for configuring the built-in transports when using LARGE_DATA mode. More...

`#include <BuiltinTransports.hpp>`

## Public Attributes

bool | non_blocking_send = false
| Whether to use non-blocking send operation.
uint32_t | maxMessageSize = fastdds::rtps::s_maximumMessageSize
| The maximum message size to be used.
uint32_t | sockets_buffer_size = 0
| The value used to configure the send and receive fuffer sizes of the sockets.
uint32_t | tcp_negotiation_timeout = 0
| Time to wait for logical port negotiation (ms).

## Detailed Description

Options for configuring the built-in transports when using LARGE_DATA mode.

## Member Data Documentation

## ◆ maxMessageSize

uint32_t maxMessageSize = fastdds::rtps::s_maximumMessageSize

The maximum message size to be used.

It specifies the maximum message size that will be used by the Network Factory to register every transport.

## ◆ non_blocking_send

bool non_blocking_send = false

Whether to use non-blocking send operation.

## ◆ sockets_buffer_size

uint32_t sockets_buffer_size = 0

The value used to configure the send and receive fuffer sizes of the sockets.

It specifies the value that will be used to configure the send and receive buffer sizes of the sockets used by the transports created with the builtin transports. Zero value indicates to use default system buffer size.

## ◆ tcp_negotiation_timeout

uint32_t tcp_negotiation_timeout = 0

Time to wait for logical port negotiation (ms).

It specifies the value that will be used to configure the honomym attribute of the TCPTransportDescriptor used. It only takes effect if the LARGE_DATA mode is used. Zero value means no waiting (default).

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/attributes/BuiltinTransports.hpp